<?php
/* --------------------------------------------------------------
   MainThemeDirectoriesInterface.inc.php 2018-11-13
   Gambio GmbH
   http://www.gambio.de
   Copyright (c) 2018 Gambio GmbH
   Released under the GNU General Public License (Version 2)
   [http://www.gnu.org/licenses/gpl-2.0.html]
   --------------------------------------------------------------
*/

/**
 * Interface MainThemeDirectoriesInterface
 */
interface MainThemeDirectoriesInterface
{
    /**
     * Returns the config theme directory.
     *
     * @return \ThemeDirectoryInterface
     */
    public function getConfig();


    /**
     * Returns the html theme directory.
     *
     * @return \ThemeDirectoryInterface
     */
    public function getHtml();


    /**
     * Returns the fonts theme directory.
     *
     * @return \ThemeDirectoryInterface
     */
    public function getFonts();


    /**
     * Returns the js theme directory.
     *
     * @return \ThemeDirectoryInterface
     */
    public function getJs();


    /**
     * Returns the styles theme directory.
     *
     * @return \ThemeDirectoryInterface
     */
    public function getStyles();


    /**
     * Returns the style edit theme directory.
     *
     * @return \ThemeDirectoryInterface
     */
    public function getStyleEdit();


    /**
     * Returns the images theme directory.
     *
     * @return \ThemeDirectoryInterface
     */
    public function getImages();
}
