<?php

/* --------------------------------------------------------------
   ThemeDirectoriesInterface.php 2018-11-14
   Gambio GmbH
   http://www.gambio.de
   Copyright (c) 2018 Gambio GmbH
   Released under the MIT License
   [https://opensource.org/licenses/MIT]
   --------------------------------------------------------------
*/

/**
 * Interface ThemeDirectoriesInterface
 */
interface ThemeDirectoriesInterface
{
    /**
     * Returns the directory root.
     *
     * @return ThemeDirectoryRootInterface
     */
    public function getRoot();


    /**
     * Returns the config theme directory.
     *
     * @return \ThemeDirectoryInterface
     */
    public function getConfig();


    /**
     * Returns the HTML directory.
     *
     * @return ThemeDirectory|null
     */
    public function getHtml();


    /**
     * Returns the scripts directory.
     *
     * @return ThemeDirectory|null
     */
    public function getJs();


    /**
     * Returns the styles directory.
     *
     * @return ThemeDirectory|null
     */
    public function getStyles();


    /**
     * Returns the style edit theme directory.
     *
     * @return \ThemeDirectory|null
     */
    public function getStyleEdit();


    /**
     * Returns the images directory.
     *
     * @return \ThemeDirectory|null
     */
    public function getImages();
    
    /**
     * Returns the fonts directory.
     *
     * @return \ThemeDirectory|null
     */
    public function getFonts();


    /**
     * Returns the custom HTML directory.
     *
     * @return ThemeDirectory|null
     */
    public function getCustomHtml();


    /**
     * Returns the custom scripts directory.
     *
     * @return ThemeDirectory|null
     */
    public function getCustomJs();


    /**
     * Returns the custom styles directory.
     *
     * @return ThemeDirectory|null
     */
    public function getCustomStyles();
}